Static Sites - Create Or Update Static Site Build App Settings
Beschrijving voor Het maken of bijwerken van de app-instellingen van een statische site-build.
PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Web/staticSites/{name}/builds/{environmentName}/config/appsettings?api-version=2026-07-15
URI-parameters
| Name | In | Vereist | Type | Description |
|---|---|---|---|---|
|
environment
|
path | True |
string pattern: ^[a-zA-Z0-9]+$ |
De site-id van de fase. |
|
name
|
path | True |
string |
Naam van de statische site. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
De naam van de resource group. De naam is hoofdletterongevoelig. |
|
subscription
|
path | True |
string (uuid) |
De ID van het doelabonnement. De waarde moet een UUID zijn. |
|
api-version
|
query | True |
string minLength: 1 |
De API-versie die voor deze bewerking moet worden gebruikt. |
Aanvraagbody
| Name | Type | Description |
|---|---|---|
| kind |
string |
Soort resource. |
| properties |
object |
Instellingen. |
Antwoorden
| Name | Type | Description |
|---|---|---|
| 200 OK |
Azure-operatie succesvol voltooid. |
|
| Other Status Codes |
Een onverwachte foutreactie. |
Beveiliging
azure_auth
OAuth2-stroom voor Azure Active Directory.
Type:
oauth2
Stroom:
implicit
Autorisatie-URL:
https://login.microsoftonline.com/common/oauth2/authorize
Bereiken
| Name | Description |
|---|---|
| user_impersonation | Uw gebruikersaccount imiteren |
Voorbeelden
Creates or updates the function app settings of a static site build.
Voorbeeldaanvraag
PUT https://management.azure.com/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/rg/providers/Microsoft.Web/staticSites/testStaticSite0/builds/12/config/appsettings?api-version=2026-07-15
{
"properties": {
"setting1": "someval",
"setting2": "someval2"
}
}
Voorbeeldrespons
{
"id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/rg/providers/Microsoft.Web/staticSites/testStaticSite0/builds/12/config/appSettings",
"properties": {
"setting1": "someval",
"setting2": "someval2"
}
}
Definities
| Name | Description |
|---|---|
|
Default |
Foutreactie van App Service. |
|
Default |
Foutmodel. |
|
Default |
Gedetailleerde fouten. |
|
String |
Bron voor tekenreekswoordenboek. |
DefaultErrorResponse
Foutreactie van App Service.
| Name | Type | Description |
|---|---|---|
| error |
Foutmodel. |
DefaultErrorResponseError
Foutmodel.
| Name | Type | Description |
|---|---|---|
| code |
string |
Gestandaardiseerde tekenreeks om de fout programmatisch te identificeren. |
| details |
Gedetailleerde fouten. |
|
| innererror |
string |
Meer informatie om fouten op te sporen. |
| message |
string |
Gedetailleerde foutbeschrijving en foutopsporingsinformatie. |
| target |
string |
Gedetailleerde foutbeschrijving en foutopsporingsinformatie. |
DefaultErrorResponseErrorDetailsItem
Gedetailleerde fouten.
| Name | Type | Description |
|---|---|---|
| code |
string |
Gestandaardiseerde tekenreeks om de fout programmatisch te identificeren. |
| message |
string |
Gedetailleerde foutbeschrijving en foutopsporingsinformatie. |
| target |
string |
Gedetailleerde foutbeschrijving en foutopsporingsinformatie. |
StringDictionary
Bron voor tekenreekswoordenboek.
| Name | Type | Description |
|---|---|---|
| id |
string |
Resource-id. |
| kind |
string |
Soort resource. |
| name |
string |
Resourcenaam. |
| properties |
object |
Instellingen. |
| type |
string |
Type bron |